## paje.app 1.97+cvs20080110

=== Tracers/JRastro/libRastro/Makefile ===
#/*
#    Copyright (c) 1998--2006 Benhur Stein
#    
#    This file is part of Paj.
#
#    Paj is free software; you can redistribute it and/or modify it under
#    the terms of the GNU Lesser General Public License as published by the
#    Free Software Foundation; either version 2 of the License, or (at your
#    option) any later version.
#
#    Paj is distributed in the hope that it will be useful, but WITHOUT ANY
#    WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
#    FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License
#    for more details.
#
#    You should have received a copy of the GNU Lesser General Public License
#    along with Paj; if not, write to the Free Software Foundation, Inc.,
#	51 Franklin Street, Fifth Floor, Boston, MA 02111 USA.
#*/
#
#
#//////////////////////////////////////////////////
#/*      Author: Geovani Ricardo Wiedenhoft      */
#/*      Email: grw@inf.ufsm.br                  */
#//////////////////////////////////////////////////


#make install -> instala a biblioteca no Diretorio RASTRO_DIR=""
#make uninstall -> desinstala a biblioteca do Diretorio RASTRO_DIR=""
#make clean -> limpa todo o diretorio.


#Diretorio que ficara a biblioteca inteira
RASTRO_DIR=$(JRASTRO_DIR)/libRastro

#Diretorio que ficara a biblioteca .a
RASTRO_DIR_LIB=$(RASTRO_DIR)/lib

#Voce deve setar o PATH desse diretorio (binarios)
RASTRO_DIR_BIN=$(RASTRO_DIR)/bin

#Diretorio que ficara os codigos fontes
RASTRO_DIR_SRC=$(RASTRO_DIR)/src

#Diretorio que ficara os objetos
RASTRO_DIR_OBJ=$(RASTRO_DIR)/objects

#Diretorio que ficara os include
RASTRO_DIR_INCLUDE=$(RASTRO_DIR)/include

#Diretorio que ficara os exemplos
RASTRO_DIR_EXAMPLES=$(RASTRO_DIR)/examples

PERMDIR=0755
CC=gcc
CFLAGS=-Wall -g
#CFLAGS=-Wall -g -DTHREADED
LDFLAGS=-lpthread
RASTRO_INCLUDE=-I./include/
RASTRO_LIB=-L./lib/ -lrastro
RASTRO_FLAGS=$(RASTRO_INCLUDE) $(RASTRO_LIB)
COMPILE=$(CC) $(CFLAGS) -c
PREPROCESS=gcc -E
AR=ar -rc

.SUFFIXES: .o .c
.c.o:
	$(COMPILE) $< $(RASTRO_INCLUDE)

hist: ./lib/librastro.a ./bin/rastro_generate ./bin/rastro_timesync
	
./bin/rastro_timesync: ./src/rastro_timesync.c ./lib/librastro.a ./include/rastro_timesync_f.h
	$(CC) $(CFLAGS) -o ./bin/rastro_timesync ./src/rastro_timesync.c ./src/rastro_timesync_f.c $(RASTRO_FLAGS)

./include/rastro_timesync_f.h: ./bin/rastro_generate ./src/rastro_timesync.c
	./bin/rastro_get_names.sh ./src/rastro_timesync.c rastro_timesync_f
	mv -f rastro_timesync_f.h ./include/
	mv -f rastro_timesync_f.c ./src/

./lib/librastro.a: ./objects/rastro_read.o ./objects/rastro_write.o ./objects/rastro_write_functions.o ./objects/list.o
	$(AR) ./lib/librastro.a ./objects/rastro_read.o ./objects/rastro_write.o ./objects/rastro_write_functions.o ./objects/list.o

./objects/rastro_write_functions.o:
	$(CC) $(CFLAGS) -c -o ./objects/rastro_write_functions.o ./src/rastro_write_functions.c $(RASTRO_INCLUDE)

./objects/rastro_write.o: ./src/rastro_write.c ./include/rastro_write_functions.h ./include/rastro_private.h ./objects/list.o
	$(CC) $(CFLAGS) -c -o ./objects/rastro_write.o ./src/rastro_write.c $(RASTRO_INCLUDE)

./include/rastro_write_functions.h: ./bin/rastro_generate
	./bin/rastro_get_names.sh ./src/rastro_write.c rastro_write_functions
	mv -f rastro_write_functions.h ./include/
	mv -f rastro_write_functions.c ./src/

./objects/list.o: ./src/list.c ./include/list.h
	$(CC) $(CFLAGS) -c -o ./objects/list.o ./src/list.c $(RASTRO_INCLUDE)

./objects/rastro_read.o: ./src/rastro_read.c ./include/rastro_public.h ./include/rastro_private.h
	$(CC) $(CFLAGS) -c -o ./objects/rastro_read.o ./src/rastro_read.c $(RASTRO_INCLUDE)

./bin/rastro_generate: ./src/rastro_generate.c ./include/rastro_public.h ./include/rastro_private.h
	$(CC) $(CFLAGS) -o ./bin/rastro_generate ./src/rastro_generate.c $(RASTRO_INCLUDE)

install:
	install -m $(PERMDIR) -d $(RASTRO_DIR)
	install -m $(PERMDIR) -d $(RASTRO_DIR_LIB)
	install -m $(PERMDIR) -d $(RASTRO_DIR_BIN)
	install -m $(PERMDIR) -d $(RASTRO_DIR_SRC)
	install -m $(PERMDIR) -d $(RASTRO_DIR_OBJ)
	install -m $(PERMDIR) -d $(RASTRO_DIR_INCLUDE)
	install -m $(PERMDIR) -d $(RASTRO_DIR_EXAMPLES)
	install -m 0744 Makefile $(RASTRO_DIR)/Makefile
	install -m 0444 INSTALL $(RASTRO_DIR)/INSTALL
	install -m 0444 README $(RASTRO_DIR)/README
	install -m 0644 ./lib/librastro.a $(RASTRO_DIR_LIB)
	cp ./bin/rastro_get_names.sh ./bin/tmp.sh
	cp ./bin/rastro_function.sh ./bin/tmp2.sh
	cat ./bin/rastro_get_names.sh | sed 's/\(.*\)\-I\.\/include\/\(.*\)/\1\2/' > ./bin/.tmp.sh
	cat ./bin/.tmp.sh | sed 's/\(.*\)\.\/bin\/\(.*\)/\1\2/' > ./bin/.tmp2.sh
	rm -f ./bin/.tmp.sh
	mv -f ./bin/.tmp2.sh ./bin/rastro_get_names.sh
	cat ./bin/rastro_function.sh | sed 's/\(.*\)\.\/bin\/\(.*\)/\1\2/' > ./bin/.tmp.sh
	mv -f ./bin/.tmp.sh ./bin/rastro_function.sh
	install -m 0755 ./bin/rastro* $(RASTRO_DIR_BIN)
	install -m 0755 ./bin/rastro* $(JRASTRO_DIR_BIN)
	mv -f ./bin/tmp.sh ./bin/rastro_get_names.sh
	chmod 0755 ./bin/rastro_get_names.sh
	mv -f ./bin/tmp2.sh ./bin/rastro_function.sh
	chmod 0755 ./bin/rastro_function.sh
	install -m 0644 ./src/rastro* $(RASTRO_DIR_SRC)
	install -m 0644 ./src/list* $(RASTRO_DIR_SRC)
	install -m 0755 ./objects/rastro* $(RASTRO_DIR_OBJ)
	install -m 0755 ./objects/list* $(RASTRO_DIR_OBJ)
	install -m 0644 ./include/rastro* $(RASTRO_DIR_INCLUDE)
	install -m 0644 ./include/list* $(RASTRO_DIR_INCLUDE)
	install -m 0644 ./examples/rastro* $(RASTRO_DIR_EXAMPLES)
	install -m 0755 ./examples/Makefile $(RASTRO_DIR_EXAMPLES)

uninstall:
	rm -rf $(RASTRO_DIR_INCLUDE)/rastro* $(RASTRO_DIR_INCLUDE)/list* $(RASTRO_DIR_SRC)/rastro* $(RASTRO_DIR_SRC)/list* $(RASTRO_DIR_OBJ)/rastro* $(RASTRO_DIR_OBJ)/list* $(RASTRO_DIR_BIN)/rastro* $(RASTRO_DIR_LIB)/rastro* $(RASTRO_DIR_EXAMPLES)/rastro* $(RASTRO_DIR_EXAMPLES)/Makefile $(RASTRO_DIR)

clean:
	rm -f ./objects/*.o ./lib/librastro.a ./bin/rastro_generate ./bin/rastro_timesync

=== Tracers/JRastro/libRastro/examples/Makefile ===
#/*
#    Copyright (c) 1998--2006 Benhur Stein
#    
#    This file is part of Paj.
#
#    Paj is free software; you can redistribute it and/or modify it under
#    the terms of the GNU Lesser General Public License as published by the
#    Free Software Foundation; either version 2 of the License, or (at your
#    option) any later version.
#
#    Paj is distributed in the hope that it will be useful, but WITHOUT ANY
#    WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
#    FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License
#    for more details.
#
#    You should have received a copy of the GNU Lesser General Public License
#    along with Paj; if not, write to the Free Software Foundation, Inc.,
#	51 Franklin Street, Fifth Floor, Boston, MA 02111 USA.
#*/
#
#
#//////////////////////////////////////////////////
#/*      Author: Geovani Ricardo Wiedenhoft      */
#/*      Email: grw@inf.ufsm.br                  */
#//////////////////////////////////////////////////


CC=gcc
CFLAGS=-Wall -g -lpthread
#CFLAGS=-Wall -g -DTHREADED -lpthread
RASTRO_INCLUDE=-I. -I./../include/
RASTRO_LIB=-L./../lib/ -lrastro
RASTRO_FLAGS=$(RASTRO_INCLUDE) $(RASTRO_LIB)
COMPILE=$(CC) $(CFLAGS) -c
PREPROCESS=gcc -E
AR=ar -rc


hist: ./../lib/librastro.a write read
	
read: ./../lib/librastro.a rastro_read_example.c
	$(CC) $(CFLAGS) -o read rastro_read_example.c $(RASTRO_FLAGS)



write: ./../lib/librastro.a rastro_write_example.c saida.c saida.h
	$(CC) $(CFLAGS) -o write rastro_write_example.c saida.c $(RASTRO_FLAGS)

clean:
	rm -f *.o write read

## paje.app 1.98

=== Documentation/UserManual/Makefile ===

include ../latex.mk

=== Documentation/lang-paje/Makefile ===

LATEX_MASTER=lang-paje.tex

include ../latex.mk

lang-paje.dvi: %.dvi: %.tex %.bib $(LATEX_FILES)
	latex $*
	bibtex $*
	makeindex $*
	latex $*
	latex $*

=== Tracers/JRastro/Makefile ===
#/*
#    Copyright (c) 1998--2006 Benhur Stein
#    
#    This file is part of Paj.
#
#    Paj is free software; you can redistribute it and/or modify it under
#    the terms of the GNU Lesser General Public License as published by the
#    Free Software Foundation; either version 2 of the License, or (at your
#    option) any later version.
#
#    Paj is distributed in the hope that it will be useful, but WITHOUT ANY
#    WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
#    FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License
#    for more details.
#
#    You should have received a copy of the GNU Lesser General Public License
#    along with Paj; if not, write to the Free Software Foundation, Inc.,
#	51 Franklin Street, Fifth Floor, Boston, MA 02111 USA.
#*/
#################################################################
#################################################################
#//////////////////////////////////////////////////
#/*      Author: Geovani Ricardo Wiedenhoft      */
#/*      Email: grw@inf.ufsm.br                  */
#//////////////////////////////////////////////////
#################################################################
#################################################################
#Alterar essa variavel, indicar qual o caminho da home do Java
JDK_HOME=/usr/local/java/jdk1.5.0

#Diretorio da biblioteca JRastro
export JRASTRO_DIR=/usr/local/JRastro

#Diretorio dos binarios
export JRASTRO_DIR_BIN=$(JRASTRO_DIR)/bin

#################################################################
#Diretorio que ficara a biblioteca
export JRASTRO_DIR_LIB=$(JRASTRO_DIR)/lib

#Diretorio que ficara os codigos fontes
export JRASTRO_DIR_SRC=$(JRASTRO_DIR)/src

#Diretorio que ficara os objetos
export JRASTRO_DIR_OBJ=$(JRASTRO_DIR)/objects

#Diretorio que ficara os include
export JRASTRO_DIR_INCLUDE=$(JRASTRO_DIR)/include

#Diretorio que ficara os manuais
export JRASTRO_DIR_HELP=$(JRASTRO_DIR)/help
#################################################################
RASTRO_LIB=-L./libRastro/lib/ -lrastro
RASTRO_INCLUDE=-I./libRastro/include/
INCLUDE=-I./include/ -I$(JDK_HOME)/include/ -I$(JDK_HOME)/include/linux $(RASTRO_INCLUDE)
CC=gcc
CFLAGS=-g -Wall -fPIC
PERMDIR=0755
#################################################################

hist: librastro.a ./org/lsc/JRastro/Instru.class ./lib/libJRastro.so ./bin/JRastro_read ./bin/JRastro_readObj ./bin/JRastro_readObjClass


./bin/JRastro_read: ./include/JRastro.h ./libRastro/lib/librastro.a ./src/JRastro_read.c ./src/JRastro_paje.c ./include/JRastro_paje.h ./objects/hash.o ./objects/JRastro_hash_func.o ./objects/JRastro_list_func.o
	$(CC) $(CFLAGS) -o ./bin/JRastro_read ./src/JRastro_read.c ./src/JRastro_paje.c ./objects/hash.o ./objects/JRastro_hash_func.o ./objects/JRastro_list_func.o $(INCLUDE) $(RASTRO_LIB)

./bin/JRastro_readObj: ./include/JRastro.h ./libRastro/lib/librastro.a ./src/JRastro_read_objects.c ./src/JRastro_paje.c ./include/JRastro_paje.h ./objects/hash.o ./objects/JRastro_hash_func.o ./objects/JRastro_list_func.o
	$(CC) $(CFLAGS) -o ./bin/JRastro_readObj ./src/JRastro_read_objects.c ./src/JRastro_paje.c ./objects/hash.o ./objects/JRastro_hash_func.o ./objects/JRastro_list_func.o $(INCLUDE) $(RASTRO_LIB)

./bin/JRastro_readObjClass: ./include/JRastro.h ./libRastro/lib/librastro.a ./src/JRastro_read_objects_class.c ./src/JRastro_paje.c ./include/JRastro_paje.h ./objects/hash.o ./objects/JRastro_hash_func.o ./objects/JRastro_list_func.o
	$(CC) $(CFLAGS) -o ./bin/JRastro_readObjClass ./src/JRastro_read_objects_class.c ./src/JRastro_paje.c ./objects/hash.o ./objects/JRastro_hash_func.o ./objects/JRastro_list_func.o $(INCLUDE) $(RASTRO_LIB)

./lib/libJRastro.so: ./libRastro/lib/librastro.a ./objects/JRastro_rastros.o ./objects/JRastro_traces.o ./objects/JRastro_basic.o ./objects/hash.o ./objects/JRastro_options.o ./objects/JRastro_events.o ./objects/JRastro_thread.o ./objects/JRastro_hash_func.o ./objects/JRastro_list_func.o ./objects/JRastro.o ./objects/JRastro_java_crw_demo.o ./objects/JRastro_func.o
	ld -shared -o ./lib/libJRastro.so ./objects/JRastro_rastros.o ./objects/JRastro_traces.o ./objects/hash.o ./objects/JRastro_basic.o ./objects/JRastro_options.o ./objects/JRastro_events.o ./objects/JRastro_thread.o ./objects/JRastro_hash_func.o ./objects/JRastro_list_func.o ./objects/JRastro.o ./libRastro/lib/librastro.a ./objects/JRastro_java_crw_demo.o ./objects/JRastro_func.o

./org/lsc/JRastro/Instru.class: ./org/lsc/JRastro/Instru.java
	javac org/lsc/JRastro/Instru.java

librastro.a:
	(cd ./libRastro/ && make)


./objects/JRastro.o: ./include/JRastro.h ./src/JRastro.c ./objects/JRastro_basic.o
	$(CC) $(CFLAGS) -c -o ./objects/JRastro.o ./src/JRastro.c $(INCLUDE)
./objects/JRastro_hash_func.o: ./include/JRastro_hash_func.h ./src/JRastro_hash_func.c ./objects/JRastro_basic.o
	$(CC) $(CFLAGS) -c -o ./objects/JRastro_hash_func.o ./src/JRastro_hash_func.c $(INCLUDE)
./objects/JRastro_list_func.o: ./include/JRastro_list_func.h ./src/JRastro_list_func.c ./objects/JRastro_basic.o
	$(CC) $(CFLAGS) -c -o ./objects/JRastro_list_func.o ./src/JRastro_list_func.c $(INCLUDE)
./objects/JRastro_java_crw_demo.o: ./include/JRastro.h ./include/JRastro_classfile_constants.h ./include/JRastro_java_crw_demo.h ./src/JRastro_java_crw_demo.c
	$(CC) $(CFLAGS) -c -o ./objects/JRastro_java_crw_demo.o ./src/JRastro_java_crw_demo.c $(INCLUDE)
./objects/JRastro_thread.o: ./include/JRastro.h ./include/JRastro_thread.h ./src/JRastro_thread.c ./objects/JRastro_basic.o
	$(CC) $(CFLAGS) -c -o ./objects/JRastro_thread.o ./src/JRastro_thread.c $(INCLUDE)
./objects/JRastro_events.o: ./include/JRastro.h ./include/JRastro_events.h ./src/JRastro_events.c ./objects/JRastro_basic.o
	$(CC) $(CFLAGS) -c -o ./objects/JRastro_events.o ./src/JRastro_events.c $(INCLUDE)
./objects/JRastro_options.o: ./include/JRastro.h ./include/JRastro_options.h ./src/JRastro_options.c ./objects/JRastro_basic.o
	$(CC) $(CFLAGS) -c -o ./objects/JRastro_options.o ./src/JRastro_options.c $(INCLUDE)
./objects/hash.o: ./include/hash.h ./src/hash.c 
	$(CC) $(CFLAGS) -c -o ./objects/hash.o ./src/hash.c $(INCLUDE)
./objects/JRastro_basic.o: ./include/JRastro.h ./include/JRastro_basic.h ./src/JRastro_basic.c
	$(CC) $(CFLAGS) -c -o ./objects/JRastro_basic.o ./src/JRastro_basic.c $(INCLUDE)
./objects/JRastro_traces.o: ./include/JRastro.h ./include/JRastro_traces.h ./src/JRastro_traces.c ./libRastro/lib/librastro.a ./objects/JRastro_rastros.o ./objects/JRastro_basic.o
	$(CC) $(CFLAGS) -c -o ./objects/JRastro_traces.o ./src/JRastro_traces.c $(INCLUDE)
./objects/JRastro_rastros.o: ./libRastro/lib/librastro.a ./include/JRastro_rastros.h ./src/JRastro_rastros.c
	$(CC) $(CFLAGS) -c -o ./objects/JRastro_rastros.o ./src/JRastro_rastros.c $(INCLUDE)
./objects/JRastro_func.o: ./include/JRastro.h ./include/org_lsc_JRastro_Instru.h ./src/JRastro_func.c ./objects/JRastro_basic.o
	$(CC) $(CFLAGS) -c -o ./objects/JRastro_func.o ./src/JRastro_func.c $(INCLUDE)

clean:
	(cd ./libRastro/ && make clean)
	rm -f ./objects/JRastro*.o ./objects/hash.o ./lib/libJRastro.so ./bin/JRastro_read ./bin/JRastro_readObj ./bin/JRastro_readObjClass ./org/lsc/JRastro/Instru.class

install:
	cp -f lib/libJRastro.so $(JDK_HOME)/jre/lib/i386/
	cp -rf org/ $(JDK_HOME)/jre/lib/
	(cd $(JDK_HOME)/jre/lib && cp -f rt.jar rt.jar.BACK && jar -uf rt.jar org/lsc/JRastro/Instru.class)
	install -m $(PERMDIR) -d $(JRASTRO_DIR)
	install -m $(PERMDIR) -d $(JRASTRO_DIR_LIB)
	install -m $(PERMDIR) -d $(JRASTRO_DIR_BIN) 
	install -m $(PERMDIR) -d $(JRASTRO_DIR_SRC) 
	install -m $(PERMDIR) -d $(JRASTRO_DIR_OBJ) 
	install -m $(PERMDIR) -d $(JRASTRO_DIR_INCLUDE)
	install -m $(PERMDIR) -d $(JRASTRO_DIR_HELP)
	install -m 0744 Makefile $(JRASTRO_DIR)/Makefile
	install -m 0444 README $(JRASTRO_DIR)/README
	install -m 0644 ./lib/libJRastro.so $(JRASTRO_DIR_LIB)
	install -m 0755 ./bin/JRastro* $(JRASTRO_DIR_BIN)
	install -m 0644 ./src/JRastro* $(JRASTRO_DIR_SRC)
	install -m 0644 ./src/hash.c $(JRASTRO_DIR_SRC)
	install -m 0755 ./objects/JRastro* $(JRASTRO_DIR_OBJ)
	install -m 0755 ./objects/hash.o $(JRASTRO_DIR_OBJ)
	install -m 0644 ./include/JRastro* $(JRASTRO_DIR_INCLUDE)
	install -m 0644 ./include/hash.h $(JRASTRO_DIR_INCLUDE)
	install -m 0644 ./include/org_lsc_JRastro_Instru.h $(JRASTRO_DIR_INCLUDE)
	install -m 0644 ./help/JRastro* $(JRASTRO_DIR_HELP)
	cp -rf org/ $(JRASTRO_DIR)/
	(cd libRastro && make install)
	
uninstall:
	rm -f $(JDK_HOME)/jre/lib/i386/libJRastro.so
	rm -f $(JRASTRO_DIR)/Makefile $(JRASTRO_DIR)/README $(JRASTRO_DIR_LIB)/libJRastro.so $(JRASTRO_DIR_BIN)/JRastro* $(JRASTRO_DIR_BIN)/rastro_* $(JRASTRO_DIR_SRC)/JRastro* $(JRASTRO_DIR_SRC)/hash.c $(JRASTRO_DIR_OBJ)/JRastro* $(JRASTRO_DIR_OBJ)/hash.o $(JRASTRO_DIR_INCLUDE)/JRastro* $(JRASTRO_DIR_INCLUDE)/hash.h $(JRASTRO_DIR_INCLUDE)/org_lsc_JRastro_Instru.h $(JRASTRO_DIR_HELP)/JRastro*
	rm -rf $(JRASTRO_DIR)/org/
	(cd $(JDK_HOME)/jre/lib && mv -f rt.jar.BACK rt.jar)
	(cd libRastro && make uninstall)

=== debian/changelog ===
paje.app (1.98-2) unstable; urgency=medium

  [ Yavor Doganov ]
  * debian/control (Build-Depends): Require libgnustep-gui-dev
    (>= 0.31.1-7) for the multiarch layout.
  * debian/rules: Delete the .desktop file generated by pl2link; don't
    hard code the path (Closes: #1094312).
  * debian/menu: Delete.

  [ Vincent Danjean ]
  * Acknowledge previous NMU
  * Refresh packaging
    - switch to debhelper
    - push to salsa
    - cleanup...

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 04 Feb 2025 23:28:17 +0100

paje.app (1.98-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Remove redundant dh_gnustep invocation thus fixing FTBFS
    with gnustep-make/2.9.2-3 (Closes: #1078478).
  * debian/compat: Bump from deprecated 7 to 10.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 20 Aug 2024 21:09:05 +0300

paje.app (1.98-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/compat: 5 -> 7. (Closes: #965764)

 -- Adrian Bunk <bunk@debian.org>  Tue, 04 Jan 2022 18:27:54 +0200

paje.app (1.98-1) unstable; urgency=low

  * New upstream release

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 30 Jan 2012 11:31:11 +0100

paje.app (1.97+cvs20080110-3) unstable; urgency=low

  * Rebuild against new gnustep libraries
  * Cleanup packaging

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 16 Jun 2010 09:51:17 +0200

paje.app (1.97+cvs20080110-2) unstable; urgency=low

  The "I should close my done-bugs before uploading" release
  * Do not overwrite the Paje binary with a script
  * Forget to close the FTBFS bug in previous upload (Closes: #451456)
    and the request for new version (Closes: #448022)
  * record the addition of desktop file for paje.app added a few release
    before (but never uploaded) (Closes: #377301)
    thanks to Barry deFreese for providing this file
  * add texlive-latex-recommanded to build-depends
  * fix linking problems (Closes: #461305)
    thanks to Yavor Doganov for its patch

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 17 Jan 2008 23:00:51 +0100

paje.app (1.97+cvs20080110-1) unstable; urgency=low

  * CVS snapshot that better compiles with current GNUstep
  * [debian/patches] remove old-gnustep-fix.patch (fixed upstream)
  * [debian/control] dump Standards-version to 3.7.3 (no change needed)
  * [debian/] switch to git based system (instead of quilt)
  * add lintian and linda override for image in /usr/lib (due to GNUstep
    file hierarchy)

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 10 Jan 2008 09:33:18 +0100

paje.app (1.97-3) experimental; urgency=low

  * Rebuild with new GNUStep

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 25 Jul 2007 12:29:02 +0200

paje.app (1.97-2) unstable; urgency=low

  * Fix for current version of GNUStep

 -- Vincent Danjean <vdanjean@debian.org>  Thu,  1 Mar 2007 21:44:51 +0100

paje.app (1.97-1) unstable; urgency=low

  * New upstream release

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 27 Feb 2007 15:14:55 +0100

paje.app (1.4.0-5) unstable; urgency=low

  * [debian/control,debian/linda-overide] remove the last empty line
  * [debian/watch,debian/Paje.1] remove commented stuff
  * [debian/control] remove the uploader field: I am already in the Maintainer
    field and my sponsor adds itself to the Uploader field.

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Sun,  1 Oct 2006 21:28:07 +0200

paje.app (1.4.0-4) unstable; urgency=low

  * Closing request to rebuild the package with new build-depends
    (already done in the previous version but it was not yet uploaded...)
    (Closes: #389819)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Thu, 28 Sep 2006 00:49:28 +0200

paje.app (1.4.0-3) unstable; urgency=low

  * [debian/rules] use the gnumakefile CDBS class
  * [debian/control] use new build-depends for gnustep libs (as asked by
    GNUstep maintainers)
  * Desktop file for paje.app (Closes: #377301)
    Thanks to Barry deFreese (ubuntu maintainer) and Phil Bull that provide
    the paje.desktop file.

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Wed, 27 Sep 2006 07:38:22 +0200

paje.app (1.4.0-2) unstable; urgency=low

  * [debian/compat] debhelper compat version dumped to 5
  * [debian/copyright] add copyright for Debian packaging
  * [debian/control] Standard-Version set to 3.7.2 (no changes required)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Wed, 17 May 2006 00:42:15 +0200

paje.app (1.4.0-1) unstable; urgency=low

  * New upstream release
    - Add support for aggregating Events and States that are too small to be
      displayed
    - Faster simulation of events
    - Checkpointing optimized (smaller file sizes and faster reading/writing)
    - Various bug fixes

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Sun, 14 May 2006 21:24:29 +0200

paje.app (1.3.3-3) unstable; urgency=low

  * Add watch file
  * Invoke gsdh_gnustep in rules file

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Fri, 17 Feb 2006 00:42:38 +0100

paje.app (1.3.3-2) unstable; urgency=low

  * Rebuild against newer GNUStep library (Closes: #350426)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Tue, 31 Jan 2006 11:56:59 +0100

paje.app (1.3.3-1) unstable; urgency=low

  * New upstream release
    - statviewer available
    - trace files read by chuncks
  * Bump to Debian Standard 3.6.2
  * Add linda override 'command-not-exist' (in menu file):
    /usr/bin/Paje is a symlink to gnustep-app-wrapper
  * Update FSF address in debian/copyright

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Thu, 29 Sep 2005 01:02:28 +0200

paje.app (1.3.2-4) unstable; urgency=low

  * Apply upstream CVS patch : numeric locale set to C instead of en_US
    (Closes: #304768: JavaTest.trace exmaple is not working)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Fri, 22 Apr 2005 23:40:19 +0200

paje.app (1.3.2-3) unstable; urgency=low

  * Do really drop this build-dep by editing control.in, not control (which
    gets rewritten by cdbs). Sorry for the noise.



=== debian/control ===
Source: paje.app
Section: science
Priority: optional
Maintainer: Vincent Danjean <vdanjean@debian.org>
Standards-Version: 4.7.0
Homepage: https://paje.sourceforge.net
Vcs-Git: https://salsa.debian.org/gnustep-team/paje.app.git
Vcs-Browser: https://salsa.debian.org/gnustep-team/paje.app
Build-Depends: quilt,
 libgnustep-gui-dev (>= 0.31.1-7), debhelper-compat (= 13),
 texlive-latex-base, texlive-latex-extra, texlive-fonts-recommended,
 texlive-latex-recommended
Rules-Requires-Root: no

Package: paje.app
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: generic visualization tool (Gantt chart and more)
 Paje is a graphical tool that displays traces produced during the
 execution of multithreaded programs. Other programs can also generate
 traces for this tool.
 .
 Key Features
   * Supports multi threaded programs
      o each thread of the analysed program can be individually displayed,
        or multiple threads can be combined, to reduce screen space usage.
   * Interactivity
      o each entity represented on the screen can be interrogated for
        more information,
      o related entities are highlighted as mouse cursor passes over
        some representation

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
include /usr/share/GNUstep/debian/config.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- $(optim) $(verbose) \
	  $(shell dpkg-buildflags --export=cmdline)
	$(MAKE) -C Documentation/UserManual
	$(MAKE) -C Documentation/lang-paje

execute_before_dh_auto_clean:
	$(MAKE) -C Documentation/UserManual clean
	$(MAKE) -C Documentation/lang-paje clean

execute_before_dh_link:
	gsdh_gnustep --app
	find debian/paje.app -type d -empty -delete
